Name:           perl-Git-Wrapper
Version:        0.047
Release:        3%{?dist}
Summary:        Wrap git command-line interface for Perl
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Git-Wrapper/
Source0:        http://www.cpan.org/authors/id/G/GE/GENEHACK/Git-Wrapper-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  findutils
BuildRequires:  git-core
BuildRequires:  make
BuildRequires:  perl
BuildRequires:  perl-generators
#BuildRequires:  perl(:VERSION) >= 5.6.0
BuildRequires:  perl(Devel::CheckBin)
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(File::Spec)
BuildRequires:  perl(strict)
BuildRequires:  perl(warnings)
# Run-time:
BuildRequires:  perl(File::chdir)
BuildRequires:  perl(File::Temp)
BuildRequires:  perl(IPC::Cmd)
BuildRequires:  perl(IPC::Open3)
BuildRequires:  perl(overload)
BuildRequires:  perl(Scalar::Util)
BuildRequires:  perl(Sort::Versions)
BuildRequires:  perl(Symbol)
# Tests:
BuildRequires:  perl(File::Path)
BuildRequires:  perl(IO::File)
# Pod::Coverage::TrustPod not used
BuildRequires:  perl(POSIX)
BuildRequires:  perl(Test::Deep)
BuildRequires:  perl(Test::Exception)
BuildRequires:  perl(Test::More)
# Test::Pod 1.4 not used
# Test::Pod::Coverage 1.08 not used
# Optional tests:
BuildRequires:  perl(Path::Class) >= 0.26
Requires:       git-core
Requires:       perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
Requires:       perl(IPC::Cmd)

%description
Git::Wrapper provides an API for git that uses Perl data structures for
argument passing, instead of CLI-style --options as Git does.

%prep
%setup -q -n Git-Wrapper-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -delete
%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%files
%license LICENSE
%doc Changes README.md
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Mon Feb 13 2017 Sérgio Basto <sergio@serjux.com> - 0.047-3
- The perl(:VERSION) provide only works in Fedora, epel7 fix.

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.047-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Tue Jan 24 2017 Petr Pisar <ppisar@redhat.com> 0.047-1
- Specfile autogenerated by cpanspec 1.78.
